SafetyVantage courses are tested for comparability on the 4 major browsers. 

When users experiencing issues it is often the result of using outdated or unsupported browsers.

If you are experiencing any issues please firs confirm that you are using one of the approved browsers and also that you have the latest version of the browser.


To determine which browser you are using and also if you have the latest version click on this link: https://whatbrowser.org/


The SafetyVantage courses are tested for comparability with the the latest version of following browsers only:

  • Google Chrome
  • Mozilla Firefox
  • Microsoft Edge (Internet Explorer is not supported)
  • Apple Safari